export default {
    execute: function (bill, param) {
        GMS.$hideContainer.$Modal.confirm({
			title: '提示',
			content: '确认删除吗？',
			onOk: () => {
				this.delete(bill, param)
			},
			onCancel: () => {
				GMS.$hideContainer.$Message['error']({
					content: '已取消',
				});
			}
		});
    },
    delete (bill,param) {
        if(bill){
            if(param.param.customDeleteDyAction){
                this.customAction(bill, param,param.param.customDeleteDyAction);
            }else if(param.param.customDeleteAction){
                param['_actionParam'] = param.param.customDeleteAction;
            	this.customAction(bill, param,param.param.customDeleteAction.action);
            }else{
                bill.deleteSubData(param.param.tableName,bill.getSubFocus(),true);
            }
        }else{
            alert('缺少参数');
        }
    }
}